{smcl}
{* *! version 1.2.0  18 JUN 2011}{...}
{cmd:help malmq}
{hline}

{title:Title}

{phang}
{bf:malmq} {hline 2} Malmquist Productivity Index in Stata

{title:Syntax}

{p 8 21 2}
{cmd:malmq} {it:{help varlist:inputvars}} {cmd:=} {it:{help varlist:outputvars}} {cmd:,} {period}{ifin} 
[{cmd:,} {it:options}]

{synoptset 20 tabbed}{...}
{synopthdr}
{synoptline}
{syntab:Main}
{synopt:{opt ort:(string)}}specifies the orientation. The default is {cmd:ort(i)}, meaning the input oriented Data Envelopment Analysis(DEA) frontier used. {cmd:ort(out)} means the output oriented DEA frontier.
{p_end}
{synopt:{opt trace:}}lets all the sequences and results displayed in the result window be saved in the "malmq.log" file.
{p_end}
{synopt:{opt sav:ing(filename)}} specifies that the results be saved in {it:filename}.dta. If the filename already exists, the previous filename will be saved with the name of {it:filename}{cmd:_}bak{cmd:_}DMYhms.dta.
{p_end}
{synoptline}
{p2colreset}{...}

{title:Description}

{pstd}
{cmd:malmq} selects the input and output variables from the user designated data file or in the opened data set and solves Malmquist Productivity Index using Data Envelopment Analysis(DEA) frontier by options specified. 

{phang}
There are several options to enhance the models. The user can select the desired options according to the particular model that is required. 

{phang}
The malmq program requires initial panel data set that contains the input and output variables and period for observed units. 

{phang}
Variable names must be identified by inputvars for input variable, by outputvars for output variable, and by period for panel period of time to allow that {cmd:malmq} program can identify and handle the multiple input-output data set.
And the variable name of Decision Making Units(DMUs) is to be specified by "dmu".

{phang}
The program has the ability to accommodate unlimited number of inputs/outputs with unlimited number of DMUs. The only limitation is the memory of computer used to run {cmd:malmq}.

{phang}
{cmd:sav({it:filename})} option creates a {cmd: {it:filename}.dta} file that contains the results of {cmd: malmq} including the informaions of the DMU, input and output data used, 
efficiency change, technical change, total factor productivity change, scale efficiency change, and pure technical change.

{phang}
The log file, {cmd:malmquist.log}, will be created in the working directory.


{title:Examples}

{phang}{"use ...\lee2.dta"}

{phang}{cmd:. malmq i_AC =  O_SPI O_CPI,period( time)}

{phang}{cmd:. malmq i_AC =  O_SPI O_CPI,ort(o) period( time)}

{title:Saved Results}

{psee}
Matrix:

{psee}
{cmd: r(dearslt)} the results of {cmd:malmq} that have observation rows of DMUs and variable columns with input data, output data, tfp, effch, tech, pech, sech, and more depending on the models specified.
{p_end}


{title:Author}

{psee}
Choonjoo Lee  

{psee}
Korea National Defense University

{psee}
Seoul, Republic of Korea

{psee}
E-mail: [choonjoo lee]sarang64@snu.ac.kr; bloom.rambike@gmail.com
{p_end}
